%define name	gnome-proxy-applet
%define version 0.2
%define release %mkrel 1

Summary: 	Proxy applet for the GNOME panel
Summary(de):	Proxy Applet für das Gnome Panel
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source:		proxy_applet-%{version}.tar.gz
URL:		http://www.andreafabrizi.it/?proxyapplet
License:	GPLv3
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk2-devel pkgconfig
BuildRequires:  libgnomeui2_0-devel
BuildRequires:  libgnome2_0-devel
BuildRequires:  libpanel-applet-2_2-devel
BuildRequires:  libbonoboui2-devel
Requires: gnome-panel
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes: %{name} < %version


%description
Proxy Applet is a GNOME applet for changing your network proxy configuration with a single click 
from the gnome panel, without entering gnome network preferences.

#german
%description -l de
Proxy Applet ist ein Gnome Applet zum bearbeiten der Netzwerk Proxy Konfiguration via Mausklick, vom 
Gnome Panel herraus, ohne das öffnen von spezielle Gnome Netzwerk Einstellungen.

%prep
%setup -q -n proxy_applet-%version

%build
%configure2_5x --prefix=/usr \
   --libexecdir=/usr/lib/gnome-applets


%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std



%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_datadir}/doc/proxy_applet
%{_libdir}/gnome-applets/proxy_applet
%{_libdir}/bonobo/servers/*


%changelog
* Tue Nov 10 2009 slick50 <lxgator@gmail.com> 0.2-1pclos2010
- 0.2

* Wed Nov 04 2009 slick50 <lxgator@gmail.com> 0.1-1pclos2010
- initial build 
